Subject: Re: [bug?] tg3: Failed to load firmware "tigon/tg3_tso.bin"

From: Andi Kleen <[email-masked]>
Date: Sat, 05 Jul 2008 14:09:56 +0200

Olivier Galibert wrote:
> On Sat, Jul 05, 2008 at 01:22:20PM +0200, Andi Kleen wrote:
>> Many distribution have some way for separate kernel module packages.
>> It's essentially the same problem so it should be already solved
>> in some way.
> 
> Errr, no.  Modules go in /lib/modules/`uname -r`, so no conflict.

Well that's the only sane way to store the firmware anyways (otherwise
you could never keep kernel versions which need different firmware installed)

While the current code doesn't do that there have been proposals for that
and I assume/hope they will be acted on.

-Andi